> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Estimate Fees

> Gets real-time fee details for a given network, allowing users to make decisions based on their preferences for transaction speed/priority. Three levels of priority will be displayed: `slow`, `standard`, `fast`.

#### Authentication

✅ Organization User (`CustomerEmployee`)\
✅ Delegated User (`EndUser`)\
✅ Service Account

#### Required Permissions

No permission required.


## OpenAPI

````yaml /openapi.yaml get /networks/fees
openapi: 3.1.0
info:
  version: 1.795.3
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /networks/fees:
    get:
      tags:
        - Networks
      summary: Estimate Fees
      description: >-
        Gets real-time fee details for a given network, allowing users to make
        decisions based on their preferences for transaction speed/priority.
        Three levels of priority will be displayed: `slow`, `standard`, `fast`.
      parameters:
        - schema:
            type: string
            enum:
              - Bitcoin
              - BitcoinSignet
              - BitcoinTestnet3
              - ArbitrumOne
              - ArbitrumSepolia
              - ArcTestnet
              - AvalancheC
              - AvalancheCFuji
              - Base
              - BaseSepolia
              - Bob
              - BobSepolia
              - Bsc
              - BscTestnet
              - Berachain
              - BerachainBepolia
              - Celo
              - CeloAlfajores
              - Codex
              - CodexSepolia
              - Ethereum
              - EthereumClassic
              - EthereumClassicMordor
              - EthereumSepolia
              - EthereumHolesky
              - EthereumHoodi
              - FantomOpera
              - FantomTestnet
              - FlareC
              - FlareCCoston2
              - FlowEvm
              - FlowEvmTestnet
              - Ink
              - InkSepolia
              - Optimism
              - OptimismSepolia
              - Plasma
              - PlasmaTestnet
              - Plume
              - PlumeSepolia
              - Polygon
              - PolygonAmoy
              - Race
              - RaceSepolia
              - Tempo
              - TempoModerato
              - Tsc
              - TscTestnet1
              - Xdc
              - XdcApothem
              - XLayer
              - XLayerSepolia
              - Solana
              - SolanaDevnet
          required: true
          name: network
          in: query
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      kind:
                        type: string
                        enum:
                          - Bitcoin
                      network:
                        type: string
                        enum:
                          - Bitcoin
                          - BitcoinSignet
                          - BitcoinTestnet3
                          - Litecoin
                          - LitecoinTestnet
                          - DogecoinTestnet
                          - Dogecoin
                      blockNumber:
                        type: number
                      slow:
                        type: object
                        properties:
                          feeRate:
                            type: string
                          blockHorizon:
                            type: number
                        required:
                          - feeRate
                          - blockHorizon
                      standard:
                        type: object
                        properties:
                          feeRate:
                            type: string
                          blockHorizon:
                            type: number
                        required:
                          - feeRate
                          - blockHorizon
                      fast:
                        type: object
                        properties:
                          feeRate:
                            type: string
                          blockHorizon:
                            type: number
                        required:
                          - feeRate
                          - blockHorizon
                    required:
                      - kind
                      - network
                      - blockNumber
                      - slow
                      - standard
                      - fast
                    title: Bitcoin
                  - type: object
                    properties:
                      kind:
                        type: string
                        enum:
                          - Eip1559
                      network:
                        type: string
                        enum:
                          - ArbitrumOne
                          - ArbitrumSepolia
                          - ArcTestnet
                          - AvalancheC
                          - AvalancheCFuji
                          - Base
                          - BaseSepolia
                          - Bob
                          - BobSepolia
                          - Bsc
                          - BscTestnet
                          - Berachain
                          - BerachainBepolia
                          - Celo
                          - CeloAlfajores
                          - Codex
                          - CodexSepolia
                          - Ethereum
                          - EthereumClassic
                          - EthereumClassicMordor
                          - EthereumSepolia
                          - EthereumHolesky
                          - EthereumHoodi
                          - FantomOpera
                          - FantomTestnet
                          - FlareC
                          - FlareCCoston2
                          - FlowEvm
                          - FlowEvmTestnet
                          - Ink
                          - InkSepolia
                          - Optimism
                          - OptimismSepolia
                          - Plasma
                          - PlasmaTestnet
                          - Plume
                          - PlumeSepolia
                          - Polygon
                          - PolygonAmoy
                          - Race
                          - RaceSepolia
                          - Tempo
                          - TempoModerato
                          - Tsc
                          - TscTestnet1
                          - Xdc
                          - XdcApothem
                          - XLayer
                          - XLayerSepolia
                      blockNumber:
                        type: number
                      slow:
                        type: object
                        properties:
                          maxPriorityFeePerGas:
                            type: string
                          maxFeePerGas:
                            type: string
                        required:
                          - maxPriorityFeePerGas
                          - maxFeePerGas
                      standard:
                        type: object
                        properties:
                          maxPriorityFeePerGas:
                            type: string
                          maxFeePerGas:
                            type: string
                        required:
                          - maxPriorityFeePerGas
                          - maxFeePerGas
                      fast:
                        type: object
                        properties:
                          maxPriorityFeePerGas:
                            type: string
                          maxFeePerGas:
                            type: string
                        required:
                          - maxPriorityFeePerGas
                          - maxFeePerGas
                      baseFeePerGas:
                        type: string
                    required:
                      - kind
                      - network
                      - blockNumber
                      - slow
                      - standard
                      - fast
                      - baseFeePerGas
                    description: >-
                      For EIP-1559, we  provide 2 different fields for each
                      strategy: `maxFee` (per Gas) and `maxPriorityFee` (per
                      Gas). To compute these estimations, we look at the block
                      history, compute three different percentiles for the
                      rewards offered by the transactions in the blocks, and
                      then calculate the average for each strategy.
                    title: EVM EIP-1559
                  - type: object
                    properties:
                      kind:
                        type: string
                        enum:
                          - Solana
                      network:
                        type: string
                        enum:
                          - Solana
                          - SolanaDevnet
                      blockNumber:
                        type: number
                      slow:
                        type: object
                        properties:
                          computeUnitPrice:
                            type: string
                        required:
                          - computeUnitPrice
                      standard:
                        type: object
                        properties:
                          computeUnitPrice:
                            type: string
                        required:
                          - computeUnitPrice
                      fast:
                        type: object
                        properties:
                          computeUnitPrice:
                            type: string
                        required:
                          - computeUnitPrice
                    required:
                      - kind
                      - network
                      - blockNumber
                      - slow
                      - standard
                      - fast
                    title: Solana
      security:
        - authenticationToken: []
components:
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)

````